<script lang="ts">
	export let value: File;
	export let label: string;

	function handleFileInputChange(event: any) {
		const file = event.target.files[0];
		if (file) {
			value = file;
		}
	}
</script>

<div class="flex flex-col gap-2 justify-center text-white w-full">
	<label class="text-white" for={label}>{label}</label>
	<input
		class="border border-primary-500 rounded-lg w-full p-2 bg-noir-500"
		on:change={handleFileInputChange}
		type="file"
	/>
</div>
